## WebKitWebHistoryItem

WebKitWebHistoryItem — One item of the WebKitWebBackForwardList and or global history

## Functions

WebKitWebHistoryItem * | webkit_web_history_item_copy ()
const gchar * | webkit_web_history_item_get_alternate_title ()
gdouble | webkit_web_history_item_get_last_visited_time ()
const gchar * | webkit_web_history_item_get_original_uri ()
const gchar * | webkit_web_history_item_get_title ()
const gchar * | webkit_web_history_item_get_uri ()
WebKitWebHistoryItem * | webkit_web_history_item_new ()
WebKitWebHistoryItem * | webkit_web_history_item_new_with_data ()
void | webkit_web_history_item_set_alternate_title ()

## Properties

gchar * | alternate-title | Read / Write
gdouble | last-visited-time | Read
gchar * | original-uri | Read
gchar * | title | Read
gchar * | uri | Read

## Types and Values

| WebKitWebHistoryItem

## Object Hierarchy

        GObject
        ╰── WebKitWebHistoryItem

## Description

A history item consists out of a title and a uri. It can be part of the WebKitWebBackForwardList and the global history. The global history is used for coloring the links of visited sites. WebKitWebHistoryItem's constructed with webkit_web_history_item_new and webkit_web_history_item_new_with_data are automatically added to the global history.

    1
    2
    3

    /* Inject a visited page into the global history */
    webkit_web_history_item_new_with_data("http://www.gnome.org/", "GNOME: The Free Software Desktop Project");
    webkit_web_history_item_new_with_data("http://www.webkit.org/", "The WebKit Open Source Project");

## Functions

### webkit_web_history_item_copy ()

    WebKitWebHistoryItem *
    webkit_web_history_item_copy (WebKitWebHistoryItem *web_history_item);

Makes a copy of the item for use with other WebView objects.

#### Parameters

web_history_item | a WebKitWebHistoryItem |

#### Returns

the new WebKitWebHistoryItem.

[transfer full]

Since: 1.1.18

### webkit_web_history_item_get_alternate_title ()

    const gchar *
    webkit_web_history_item_get_alternate_title
                                   (WebKitWebHistoryItem *web_history_item);

Returns the alternate title of `web_history_item`

#### Parameters

web_history_item | a WebKitWebHistoryItem |

#### Returns

the alternate title of `web_history_item`

### webkit_web_history_item_get_last_visited_time ()

    gdouble
    webkit_web_history_item_get_last_visited_time
                                   (WebKitWebHistoryItem *web_history_item);

### webkit_web_history_item_get_original_uri ()

    const gchar *
    webkit_web_history_item_get_original_uri
                                   (WebKitWebHistoryItem *web_history_item);

Returns the original URI of `web_history_item` .

#### Parameters

web_history_item | a WebKitWebHistoryItem |

#### Returns

the original URI of `web_history_item`

### webkit_web_history_item_get_title ()

    const gchar *
    webkit_web_history_item_get_title (WebKitWebHistoryItem *web_history_item);

#### Parameters

web_history_item | a WebKitWebHistoryItem |

#### Returns

the page title of `web_history_item`

### webkit_web_history_item_get_uri ()

    const gchar *
    webkit_web_history_item_get_uri (WebKitWebHistoryItem *web_history_item);

Returns the URI of `this`

#### Parameters

web_history_item | a WebKitWebHistoryItem |

#### Returns

the URI of `web_history_item`

### webkit_web_history_item_new ()

    WebKitWebHistoryItem *
    webkit_web_history_item_new (void);

Creates a new WebKitWebHistoryItem instance

#### Returns

the new WebKitWebHistoryItem

### webkit_web_history_item_new_with_data ()

    WebKitWebHistoryItem *
    webkit_web_history_item_new_with_data (const gchar *uri,
                                           const gchar *title);

Creates a new WebKitWebHistoryItem with the given URI and title

#### Parameters

uri | the URI of the page |
title | the title of the page |

#### Returns

the new WebKitWebHistoryItem

### webkit_web_history_item_set_alternate_title ()

    void
    webkit_web_history_item_set_alternate_title
                                   (WebKitWebHistoryItem *web_history_item,
                                    const gchar *title);

Sets an alternate title for `web_history_item`

#### Parameters

web_history_item | a WebKitWebHistoryItem |
title | the alternate title for `this` history item |

## Types and Values

### WebKitWebHistoryItem

    typedef struct _WebKitWebHistoryItem WebKitWebHistoryItem;

## Property Details

### The `“alternate-title”` property

      “alternate-title”          gchar *

The alternate title of the history item.

Flags: Read / Write

Default value: NULL

Since: 1.0.2

### The `“last-visited-time”` property

      “last-visited-time”        gdouble

The time at which the history item was last visited.

Flags: Read

Allowed values: >= 0

Default value: 0

Since: 1.0.2

### The `“original-uri”` property

      “original-uri”             gchar *

The original URI of the history item.

Flags: Read

Default value: NULL

Since: 1.0.2

### The `“title”` property

      “title”                    gchar *

The title of the history item.

Flags: Read

Default value: NULL

Since: 1.0.2

### The `“uri”` property

      “uri”                      gchar *

The URI of the history item.

Flags: Read

Default value: NULL

Since: 1.0.2

## See Also

WebKitWebBackForwardList